<https://github.com/flathub/org.libreoffice.LibreOffice/blob/1168072d19f358ffacc783aa83773789c6eafb99/org.libreoffice.LibreOffice.json#L33> is a flatpak-manifest (for building LibreOffice as a Flatpak) that needs Ant during the build and thus downloads it from <http://www-us.apache.org/dist/ant/binaries/apache-ant-1.10.1-bin.tar.xz>, as it was available a while ago from <http://ant.apache.org/bindownload.cgi>.

However, I now found out that that URL is 404 by now, and there's a new <http://www-us.apache.org/dist/ant/binaries/apache-ant-1.10.2-bin.tar.xz> instead. So I'd need to adapt that org.libreoffice.LibreOffice.json flatpak-manifest now, and would likely need to do so periodically in the future, whenever a new Ant release replaces the previous one.


Is there a better URL I could use for my purposes (that might also be more mirror-friendly)? I'm not interested in a specific 1.10.1 version, assuming that any recent or future 1.y.z version would do; but I do need a matching SHA to be recorded in the flatpak-manifest, so am bound to a URL for a specific version in practice.

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscr...@ant.apache.org
For additional commands, e-mail: user-h...@ant.apache.org

Reply via email to